Subject: bug#2035: 23.0.60; doc string of dired-read-shell-command

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Feb 2009 12:49:03 +0100

> 1. The part about the "prefix arg", at least, doesn't make sense. This
> is not a command, and there is no reference in the code to
> `current-prefix-arg'. The sentence is not clear to me, even ignoring
> "prefix" - *how* does ARG indicate, in the prompt, which files are
> affected?

It makes somewhat more sense if you look at the original version in
dired-aux.el.

> 2. Argument FILES is not described (should be uppercase).

It is fixed in the dired-aux version :(

> 3. It's not clear (to me) what the last sentence is supposed to mean.

Is part of a comment in the original version.

All in all, I think the docstring should say: "This is an internal
function." and little more. The info in the docstring should have
stayed a comment IMHO.

    Juanma